/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.IframeBlock {
    width: 100%;
    height: 100%;

    padding: 0.2em;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}

.IframeBlock__cover {
    // Debugging
    // background: transparentize(red, 0.5);
    width: 100%;
    height: 100%;
    position: relative;
    display: block;
    z-index: 1;
}

.IframeBlock__content {
    width: 100%;
    height: 100%;
}

.IframeBlock__content--covered {
    transform: translateY(-100%);
}
